# Uses of Class
org.eclipse.birt.chart.computation.DataSetIterator

Packages that use DataSetIterator
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.util
Provides miscellaneous classes associated with data types and extension lookup services.

## Uses of DataSetIterator in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return DataSetIterator
Modifier and Type
Method
Description
`static DataSetIterator`
PlotWithAxes.`checkDataType(Series se, int iType, RunTimeContext rtc)`
`DataSetIterator`
SharedScaleContext.`createDataSetIterator(int iDataType)`
Create a DataSetIterator with the min/max value, which can be used by AutoScale.
`DataSetIterator`
SharedScaleContext.`createDataSetIterator(int iDataType, boolean isBigNumber, com.ibm.icu.math.BigDecimal divisor)`
Create a DataSetIterator with the min/max value, which can be used by AutoScale.
`DataSetIterator`
SeriesRenderingHints.`getBaseDataSet()`
`DataSetIterator`
SeriesRenderingHints3D.`getBaseDataSet()`
`DataSetIterator`
AutoScale.`getData()`
`DataSetIterator`
SeriesRenderingHints.`getOrthogonalDataSet()`
`DataSetIterator`
SeriesRenderingHints3D.`getOrthogonalDataSet()`
`DataSetIterator`
SeriesRenderingHints3D.`getSeriesDataSet()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type DataSetIterator
Modifier and Type
Method
Description
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`dsiData(DataSetIterator dsiData)`
`void`
AutoScale.`setData(DataSetIterator _oaData)`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type DataSetIterator
Modifier
Constructor
Description
``
`SeriesRenderingHints(PlotWith2DAxes _pwa, double _dAxisLocation, double _dPlotBaseLocation, double _dZeroLocation, double _dSeriesThickness, AxisTickCoordinates _daTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, StackedSeriesLookup _ssl, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal)`
``
`SeriesRenderingHints3D(PlotWith3DAxes _pwa, double _dXAxisLocation, double _dZAxisLocation, double _dPlotBaseLocation, double _dPlotZeroLocation, double _dPlotHeight, AxisTickCoordinates _daXTickCoordinates, AxisTickCoordinates _daZTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, AutoScale _scAncillary, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal, DataSetIterator _dsiAncillary)`

## Uses of DataSetIterator in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes that return DataSetIterator
Modifier and Type
Method
Description
`DataSetIterator`
SeriesRenderingHints.`getBaseDataSet()`
`DataSetIterator`
SeriesRenderingHints.`getOrthogonalDataSet()`

## Uses of DataSetIterator in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return DataSetIterator
Modifier and Type
Method
Description
`DataSetIterator`
ISeriesRenderingHints.`getBaseDataSet()`
`DataSetIterator`
ISeriesRenderingHints.`getOrthogonalDataSet()`
`DataSetIterator`
ISeriesRenderingHints3D.`getSeriesDataSet()`
Returns the dataset bound to Series.
Methods in org.eclipse.birt.chart.render with parameters of type DataSetIterator
Modifier and Type
Method
Description
`Collection<Integer>`
BaseRenderer.`getFilteredMinSliceEntry(DataSetIterator dsi)`
Returns if the corresponding category entry is filtered as minslice in legend.

## Uses of DataSetIterator in org.eclipse.birt.chart.util

Methods in org.eclipse.birt.chart.util with parameters of type DataSetIterator
Modifier and Type
Method
Description
`static final int`
CDateTime.`computeUnit(DataSetIterator dsi)`
Walks through all values in a dataset and computes the least significant unit for which a difference was noted.